<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__https__server__security__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_https_server_security_info_t</compoundname>
    <includes local="no">cy_http_server.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__https__server__security__info__t_1ab0df9038e60cccd0e8812c813c6b4c13" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_https_server_security_info_t::private_key</definition>
        <argsstring />
        <name>private_key</name>
        <briefdescription>
<para>HTTP server private key (base64 encoded) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="286" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="286" />
      </memberdef>
      <memberdef id="structcy__https__server__security__info__t_1ad9a1a0499abc77950cfde7aa19a9e3a2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_https_server_security_info_t::key_length</definition>
        <argsstring />
        <name>key_length</name>
        <briefdescription>
<para>HTTP server private key length excluding 'null' termination character. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="287" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="287" />
      </memberdef>
      <memberdef id="structcy__https__server__security__info__t_1ac99aee7927d640ff6dfbe200dc44d8ae" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_https_server_security_info_t::certificate</definition>
        <argsstring />
        <name>certificate</name>
        <briefdescription>
<para>HTTP server certificate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="288" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="288" />
      </memberdef>
      <memberdef id="structcy__https__server__security__info__t_1a3025afbe193cd4e514a711f09d3024e4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_https_server_security_info_t::certificate_length</definition>
        <argsstring />
        <name>certificate_length</name>
        <briefdescription>
<para>HTTP server certificate length excluding 'null' termination character. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="289" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="289" />
      </memberdef>
      <memberdef id="structcy__https__server__security__info__t_1af85967438ec03bba793c57ea2f7d1b2c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_https_server_security_info_t::root_ca_certificate</definition>
        <argsstring />
        <name>root_ca_certificate</name>
        <briefdescription>
<para>Root CA certificate to verify client certificate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="290" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="290" />
      </memberdef>
      <memberdef id="structcy__https__server__security__info__t_1a1b1bd39e4abc48f6789b001c7d67a554" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_https_server_security_info_t::root_ca_certificate_length</definition>
        <argsstring />
        <name>root_ca_certificate_length</name>
        <briefdescription>
<para>Root CA certificate length excluding 'null' termination character. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="291" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="291" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HTTP server security info. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="292" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="284" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="285" />
    <listofallmembers>
      <member prot="public" refid="structcy__https__server__security__info__t_1ac99aee7927d640ff6dfbe200dc44d8ae" virt="non-virtual"><scope>cy_https_server_security_info_t</scope><name>certificate</name></member>
      <member prot="public" refid="structcy__https__server__security__info__t_1a3025afbe193cd4e514a711f09d3024e4" virt="non-virtual"><scope>cy_https_server_security_info_t</scope><name>certificate_length</name></member>
      <member prot="public" refid="structcy__https__server__security__info__t_1ad9a1a0499abc77950cfde7aa19a9e3a2" virt="non-virtual"><scope>cy_https_server_security_info_t</scope><name>key_length</name></member>
      <member prot="public" refid="structcy__https__server__security__info__t_1ab0df9038e60cccd0e8812c813c6b4c13" virt="non-virtual"><scope>cy_https_server_security_info_t</scope><name>private_key</name></member>
      <member prot="public" refid="structcy__https__server__security__info__t_1af85967438ec03bba793c57ea2f7d1b2c" virt="non-virtual"><scope>cy_https_server_security_info_t</scope><name>root_ca_certificate</name></member>
      <member prot="public" refid="structcy__https__server__security__info__t_1a1b1bd39e4abc48f6789b001c7d67a554" virt="non-virtual"><scope>cy_https_server_security_info_t</scope><name>root_ca_certificate_length</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>